# @synopsis AX_CVS([ANON_CVSROOT])
# ---------------------------------------------------------
# @author Tom Howard <tomhoward@users.sf.net>
# @version $Id$
# @copyright 2004 Tom Howard
#
# Adds support cvs targets within your Makefile.  See ax_cvs.am
# for details
#
# Make sure ax_cvs.am is added to aminclude.am and you have 
# 'include aminclude.am' in your toplevel Makefile.am
AC_DEFUN([AX_CVS],
[
echo "adding cvs support"
AC_ARG_VAR(CVS, [cvs executable to use])
if test "x$CVS" = "x"; then
   AC_CHECK_PROGS(CVS,[cvs])
fi
AC_ARG_VAR(CVSROOT, [the CVSROOT to use])
echo -n "setting CVSROOT... "
if test -e "$srcdir/CVS/Root"; then
    CVSROOT=`cat $srcdir/CVS/Root`;
    echo "\"$CVSROOT\"";
else
    echo "failed";
fi

AC_SUBST(ANON_CVSROOT, $1)

echo -n "setting anonymous CVSROOT... "
if test "x$ANON_CVSROOT" != "x"; then
    echo "\"$ANON_CVSROOT\"";
else
    echo "failed";
fi

AM_CONDITIONAL(USING_AX_CVS, [test "x$CVS" != "x" -a "x$CVSROOT" != "x" -a "x$ANON_CVSROOT" != "x"])
])
# AX_CVS
